Skip to main content
GET
List phone sessions with cost

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

start_date
string<date-time>
required

Beginning of the sessions query window (RFC 3339).

end_date
string<date-time>
required

End of the sessions query window (RFC 3339).

limit
integer<int64>
default:50

Number of sessions per page (1-100).

Required range: 1 <= x <= 100
offset
integer<int64>
default:0

Pagination offset.

Required range: x >= 0
session_status_filter
string[] | null

Restrict results to the given session lifecycle statuses.

processed_status_filter
string[] | null

Restrict results to the given billing processing statuses.

workflow_id
string

Restrict results to sessions of a single workflow.

allocated_by
string[] | null

Restrict results to the given allocation sources.

Filter by session, workflow, or phone id substring.

order_by
string

Sort expression '<field> <asc|desc>'; field one of allocated_at, deallocated_at, duration, cost_microdollars, session_status, processed_status, allocated_by, session_id, workflow_id. Defaults to allocated_at desc.

Response

OK

Paginated list of phone sessions.

limit
integer<int64>
required

Page size used for this response.

offset
integer<int64>
required

Pagination offset used for this response.

sessions
object[] | null
required

Page of session records.

total
integer<int64>
required

Total number of sessions matching the query.